WebLogicWebModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.weblogic.WebLogicWebModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.weblogic
Interface WebLogicWebModule

All Superinterfaces:
  ConfigurationItem, J2EEDeployedObject, J2EEModule, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule, WebModule

    public interface WebLogicWebModule

extends WebModule

Represents a WAR file that has been deployed to a WebLogic Server.

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`WebLogicJ2EEApplication` | `getApplication()`
`java.lang.String` | `getAuthRealmName()`
`boolean` | `getCleanupSessionFilesEnabled()`
`boolean` | `getDebugEnabled()`
`java.lang.String` | `getDefaultServlet()`
`boolean` | `getDeployed()`
`boolean` | `getIndexDirectoryEnabled()`
`long` | `getLastModified()`
`java.lang.String` | `getPath()`
`boolean` | `getPreferWebInfClasses()`
`boolean` | `getServletExtensionCaseSensitive()`
`int` | `getServletReloadCheckSecs()`
`boolean` | `getSessionDebuggable()`
`int` | `getSessionIDLength()`
`boolean` | `getSessionMonitoringEnabled()`
`boolean` | `getSessionTrackingEnabled()`
`int` | `getSingleThreadedServletPoolSize()`
`java.lang.String` | `getURI()`
`WebLogicWebContainer[]` | `getWebContainers()`
`boolean` | `hasApplication()`
`boolean` | `hasAuthRealmName()`
`boolean` | `hasCleanupSessionFilesEnabled()`
`boolean` | `hasDebugEnabled()`
`boolean` | `hasDefaultServlet()`
`boolean` | `hasDeployed()`
`boolean` | `hasIndexDirectoryEnabled()`
`boolean` | `hasLastModified()`
`boolean` | `hasPath()`
`boolean` | `hasPreferWebInfClasses()`
`boolean` | `hasServletExtensionCaseSensitive()`
`boolean` | `hasServletReloadCheckSecs()`
`boolean` | `hasSessionDebuggable()`
`boolean` | `hasSessionIDLength()`
`boolean` | `hasSessionMonitoringEnabled()`
`boolean` | `hasSessionTrackingEnabled()`
`boolean` | `hasSingleThreadedServletPoolSize()`
`boolean` | `hasURI()`
`boolean` | `hasWebContainers()`
`void` | `setApplication(WebLogicJ2EEApplication app)`
`void` | `setAuthRealmName(java.lang.String s)`
`void` | `setCleanupSessionFilesEnabled(boolean b)`
`void` | `setDebugEnabled(boolean b)`
`void` | `setDefaultServlet(java.lang.String s)`
`void` | `setDeployed(boolean b)`
`void` | `setIndexDirectoryEnabled(boolean b)`
`void` | `setLastModified(long l)`
`void` | `setPath(java.lang.String s)`
`void` | `setPreferWebInfClasses(boolean b)`
`void` | `setServletExtensionCaseSensitive(boolean b)`
`void` | `setServletReloadCheckSecs(int i)`
`void` | `setSessionDebuggable(boolean b)`
`void` | `setSessionIDLength(int i)`
`void` | `setSessionMonitoringEnabled(boolean b)`
`void` | `setSessionTrackingEnabled(boolean b)`
`void` | `setSingleThreadedServletPoolSize(int i)`
`void` | `setURI(java.lang.String s)`
`void` | `setWebContainers(WebLogicWebContainer[] containers)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEModule
`getComponents, getDeploymentDescriptor, hasComponents, hasDeploymentDescriptor, setComponents, setDeploymentDescriptor`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getApplication

    WebLogicJ2EEApplication getApplication()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setApplication

    void setApplication(WebLogicJ2EEApplication app)

### hasApplication

    boolean hasApplication()

### getLastModified

    long getLastModified()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastModified

    void setLastModified(long l)

### hasLastModified

    boolean hasLastModified()

### getPath

    java.lang.String getPath()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPath

    void setPath(java.lang.String s)

### hasPath

    boolean hasPath()

### getDeployed

    boolean getDeployed()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDeployed

    void setDeployed(boolean b)

### hasDeployed

    boolean hasDeployed()

### getURI

    java.lang.String getURI()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURI

    void setURI(java.lang.String s)

### hasURI

    boolean hasURI()

### getWebContainers

    WebLogicWebContainer[] getWebContainers()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="false"

### setWebContainers

    void setWebContainers(WebLogicWebContainer[] containers)

### hasWebContainers

    boolean hasWebContainers()

### getAuthRealmName

    java.lang.String getAuthRealmName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAuthRealmName

    void setAuthRealmName(java.lang.String s)

### hasAuthRealmName

    boolean hasAuthRealmName()

### getDefaultServlet

    java.lang.String getDefaultServlet()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultServlet

    void setDefaultServlet(java.lang.String s)

### hasDefaultServlet

    boolean hasDefaultServlet()

### getServletReloadCheckSecs

    int getServletReloadCheckSecs()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServletReloadCheckSecs

    void setServletReloadCheckSecs(int i)

### hasServletReloadCheckSecs

    boolean hasServletReloadCheckSecs()

### getSessionIDLength

    int getSessionIDLength()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionIDLength

    void setSessionIDLength(int i)

### hasSessionIDLength

    boolean hasSessionIDLength()

### getSingleThreadedServletPoolSize

    int getSingleThreadedServletPoolSize()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSingleThreadedServletPoolSize

    void setSingleThreadedServletPoolSize(int i)

### hasSingleThreadedServletPoolSize

    boolean hasSingleThreadedServletPoolSize()

### getCleanupSessionFilesEnabled

    boolean getCleanupSessionFilesEnabled()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCleanupSessionFilesEnabled

    void setCleanupSessionFilesEnabled(boolean b)

### hasCleanupSessionFilesEnabled

    boolean hasCleanupSessionFilesEnabled()

### getDebugEnabled

    boolean getDebugEnabled()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDebugEnabled

    void setDebugEnabled(boolean b)

### hasDebugEnabled

    boolean hasDebugEnabled()

### getIndexDirectoryEnabled

    boolean getIndexDirectoryEnabled()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIndexDirectoryEnabled

    void setIndexDirectoryEnabled(boolean b)

### hasIndexDirectoryEnabled

    boolean hasIndexDirectoryEnabled()

### getPreferWebInfClasses

    boolean getPreferWebInfClasses()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPreferWebInfClasses

    void setPreferWebInfClasses(boolean b)

### hasPreferWebInfClasses

    boolean hasPreferWebInfClasses()

### getServletExtensionCaseSensitive

    boolean getServletExtensionCaseSensitive()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServletExtensionCaseSensitive

    void setServletExtensionCaseSensitive(boolean b)

### hasServletExtensionCaseSensitive

    boolean hasServletExtensionCaseSensitive()

### getSessionDebuggable

    boolean getSessionDebuggable()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionDebuggable

    void setSessionDebuggable(boolean b)

### hasSessionDebuggable

    boolean hasSessionDebuggable()

### getSessionMonitoringEnabled

    boolean getSessionMonitoringEnabled()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionMonitoringEnabled

    void setSessionMonitoringEnabled(boolean b)

### hasSessionMonitoringEnabled

    boolean hasSessionMonitoringEnabled()

### getSessionTrackingEnabled

    boolean getSessionTrackingEnabled()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionTrackingEnabled

    void setSessionTrackingEnabled(boolean b)

### hasSessionTrackingEnabled

    boolean hasSessionTrackingEnabled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD